> ## Documentation Index
> Fetch the complete documentation index at: https://docs.developers.mijnklantportaal.nl/llms.txt
> Use this file to discover all available pages before exploring further.

# Get File Request

> Get a specific File Request



## OpenAPI

````yaml /openapi.yaml get /file-requests/{requestId}
openapi: 3.1.1
info:
  title: MijnKlantportaal API
  version: v1
servers:
  - url: https://api.mijnklantportaal.nl/v1
security:
  - APIKey: []
tags:
  - name: Agreements API
  - name: Appointments API
  - name: Customers API
  - name: Customer Groups API
  - name: Customer Invoices API
  - name: Customer Offers API
  - name: Customer Subscriptions API
  - name: Customer Subscription Packages API
  - name: Files API
  - name: File Request API
  - name: File Share API
  - name: Invoices API
  - name: Payment Links API
  - name: Punch Cards API
  - name: Tickets API
  - name: Webhooks API
paths:
  /file-requests/{requestId}:
    get:
      tags:
        - File Request API
      summary: Get File Request
      description: Get a specific File Request
      operationId: get-file-request
      parameters:
        - name: requestId
          in: path
          description: ID of the File Request to retrieve
          required: true
          schema:
            type: string
            example: frq_abc12345678
      responses:
        '200':
          description: The requested File Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileRequest'
        '404':
          description: The File Request could not be found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error_ApiError'
components:
  schemas:
    FileRequest:
      type: object
      description: File Request
      properties:
        id:
          type: string
          example: frq_abc12345678
          description: ID of the File Share, always starting with `frq_`.
        name:
          type: string
          example: Contract renewal
          description: The name of the file request to recognize it in your managing portal
        description:
          type: string
          nullable: true
          example: We need these files to complete your contract renewal
          description: >-
            The description of why you need the file(s). This will be shown to
            the person uploading the files
        directoryId:
          type: string
          nullable: true
          example: fsd_abc123456789
          description: >-
            The ID of the directory where the uploaded files should be put it,
            if set.
        customerId:
          type: string
          nullable: true
          example: cst_abc123456789
          description: >-
            The ID of the customer you want to request the files from. Will be
            `null` when requested via public link
        requestedFiles:
          type: array
          description: >-
            An array of file request data of the files you want to receive. You
            can request upon 10 files per File Request.
          items:
            type: object
            properties:
              id:
                type: string
                example: fqf_abc123456789
                description: ID of the File Request File
              name:
                type: string
                example: Logo
                description: Name of the file you request
              description:
                type: string
                nullable: true
                example: The logo we should put on your website
                description: The (optional) description to show with the upload field
              required:
                type: boolean
                example: true
                description: Indicates if the file is required to upload
              maxFileSize:
                type: integer
                example: 10240
                description: The maximum file size in bytes allowed to upload
              uploadedFileId:
                type: string
                nullable: true
                example: fsf_abc123456789
                description: ID of the file in the file system after uploading.
        completedAt:
          type: string
          nullable: true
          example: '2024-04-29T21:00:00+02:00'
          description: >-
            Date and time when the files in the request were provided. Written
            in ATOM format. `null` when the files are not provided yet.
        createdAt:
          type: string
          example: '2024-04-29T21:00:00+02:00'
          description: >-
            Date and time when the File Request was created. Written in ATOM
            format.
        links:
          type: object
          properties:
            customer:
              type: object
              nullable: true
              description: Only available if requested from a Customer
              properties:
                href:
                  type: string
                  description: Endpoint to the Get Customer API
                  example: >-
                    https://api.mijnklantportaal.nl/v1/customers/cst_abc12345def678
                type:
                  type: string
                  description: Type of the content the endpoint will return
            publicRequest:
              type: object
              nullable: true
              description: Only available if requested via a public link
              properties:
                href:
                  type: string
                  description: Endpoint to the webpage with the form to upload the files
                type:
                  type: string
                  description: Type of the content the endpoint will return
    Error_ApiError:
      type: object
      properties:
        message:
          type: string
          description: Explanation what went wrong
  securitySchemes:
    APIKey:
      type: http
      scheme: bearer

````